Subject: Re: [bug#59701] [PATCH] gnu: mailutils: Inform correct path of sendmail.

From: Efraim Flashner <[email-masked]>
Date: Thu, 1 Dec 2022 10:26:22 +0200

On Tue, Nov 29, 2022 at 10:31:33PM +0000, EuAndreh via Guix-patches via wrote:
> I did try it, but it was mailutils that I feel forced my hand.  It uses a
> pre-defined list of paths to search, instead of $PATH, namely:
> 
>   /usr/sbin:/usr/lib:/etc
> 
> So I feel the opposite ocurred: I wanted it to just rely on $PATH, but
> mailutils used a specific search path, but it at least gives us a way in to
> put a custom value.

Can we change that value to $PATH? I checked and I don't have sendmail
in /run/setuid-programs, and I know I'd use my msmtp setup for sendmail
*for myself* but not for the system if it were available.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted